<script>
  import { json } from "d3-fetch";
import { select } from "d3-selection";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/gapminder.json");
  });

  let year = 0;
  let slider_value = 1800;
  let continent="all";
  

  // define function to select data

  $: selected_data = function (year, continent, data) {
     let result = data[year]['countries'];
     if (continent == "all") {
       return result;  
    } else {
       result = data[year].countries.filter(country=>(country.continent==continent));
       return result;
    }
  }
  
  



$: console.log(data)
  
  
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>
    <Scatterplot data={selected_data(year, continent, data)} />
    <Controls {data} bind:year={year} bind:continent={continent}/>
    
  </div>
{/if}
